commit: 116b452abc7778d161327516f9229c8256ef2c18
Author: Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Thu Jul 18 10:21:21 2019 +0000
Commit: Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Thu Jul 18 10:34:08 2019 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=116b452a
dev-python/iocapture: EAPI=7, Py3.7
Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>
dev-python/iocapture/iocapture-0.1.2-r2.ebuild | 29 ++++++++++++++++++++++++++
1 file changed, 29 insertions(+)
diff --git a/dev-python/iocapture/iocapture-0.1.2-r2.ebuild
b/dev-python/iocapture/iocapture-0.1.2-r2.ebuild
new file mode 100644
index 00000000000..d25890b6cb6
--- /dev/null
+++ b/dev-python/iocapture/iocapture-0.1.2-r2.ebuild
@@ -0,0 +1,29 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python{2_7,3_5,3_6,3_7} pypy )
+
+inherit distutils-r1
+
+DESCRIPTION="Capture stdout, stderr easily"
+HOMEPAGE="https://pypi.org/project/iocapture/"
+SRC_URI="https://github.com/oinume/iocapture/archive/${PV}.tar.gz ->
${P}.tar.gz"
+
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~x86"
+LICENSE="MIT"
+IUSE="test"
+
+RDEPEND=""
+DEPEND="dev-python/setuptools[${PYTHON_USEDEP}]
+ test? (
+ dev-python/pytest[${PYTHON_USEDEP}]
+ $(python_gen_cond_dep 'dev-python/mock[${PYTHON_USEDEP}]' -2)
+ ${RDEPEND}
+ )"
+
+python_test() {
+ pytest -vv || die "Tests fail with ${EPYTHON}"
+}